#ifndef _MCD_H
#define _MCD_H
/* -*- mode: C; -*- */

/*
   Copyright (c) 1997-2002 MathEngine PLC

   $Name:  $

   Date: $Date: 2003/05/05 00:57:07 $ - Revision: $Revision: 1.1 $

   This software and its accompanying manuals have been developed
   by MathEngine PLC ("MathEngine") and the copyright and all other
   intellectual property rights in them belong to MathEngine. All
   rights conferred by law (including rights under international
   copyright conventions) are reserved to MathEngine. This software
   may also incorporate information which is confidential to
   MathEngine.

   Save to the extent permitted by law, or as otherwise expressly
   permitted by MathEngine, this software and the manuals must not
   be copied (in whole or in part), re-arranged, altered or adapted
   in any way without the prior written consent of the Company. In
   addition, the information contained in the software may not be
   disseminated without the prior written consent of MathEngine.
*/

/**
  @file
  Top level include file for all of Mcd
*/

#include <McdFrame.h>
#include <McdCTypes.h>
#include <McdGeometry.h>
#include <McdGeometryInstance.h>
#include <McdModel.h>
#include <McdModelPair.h>
#include <McdInteractions.h>
#include <McdInteractionTable.h>
#include <McdAggregate.h>
#include <McdNull.h>

#include <McdSpace.h>

#include <McdBox.h>
#include <McdCylinder.h>
#include <McdSphere.h>
#include <McdPlane.h>
#include <McdTriangleList.h>
#include <McdConvexMesh.h>

#endif  /* _MCD_H */
